Skip to content

커스텀 속성 내보내기

get

/custom_attributes

이 엔드포인트를 사용하여 앱에 대해 기록된 커스텀 속성 목록을 내보낼 수 있습니다. 속성은 알파벳순으로 정렬된 50개 그룹으로 반환됩니다.

필수 조건

이 엔드포인트를 사용하려면 custom_attributes.get 권한이 있는 API 키가 필요합니다.

사용량 제한

이 엔드포인트에는 시간당 1,000건의 요청에 대한 공유 사용량 제한이 적용됩니다. 이 사용량 제한은 API 사용량 제한 설명서에 설명된 대로 /events, /events/list/purchases/product_list 엔드포인트와 공유됩니다.

쿼리 매개변수

이 엔드포인트를 호출할 때마다 50개의 속성이 반환됩니다. 속성이 50개 이상인 경우 다음 예제 응답에 표시된 것처럼 Link 헤더를 사용하여 다음 페이지에서 데이터를 검색하세요.

매개변수 필수 데이터 유형 설명
cursor 선택 사항 문자열 커스텀 속성의 페이지네이션을 결정합니다.

요청 예시

커서 없음

1
2
3
curl --location --request GET 'https://rest.iad-01.braze.com/custom_attributes' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR-REST-API-KEY'

커서 포함

1
2
3
curl --location --request GET 'https://rest.iad-03.braze.com/custom_attributes?cursor=c2tpcDow' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR-REST-API-KEY'

응답

1
2
3
4
5
6
7
8
9
10
11
12
13
14
{
    "message": (required, string) the status of the export, returns 'success' when completed without errors,
    "attributes" : [
        {
            "array_length": 100, (number) the maximum array length, or null if not applicable,
            "data_type": "Number", (string) the data type,
            "description": "The attribute description", (string) the attribute description,
            "name": "The attribute name", (string) the attribute name,
            "status": "Active", (string) the attribute status,
            "tag_names": ["Tag One", "Tag Two"] (array) the tag names associated with the attribute formatted as strings,
        },
        ...
    ]
}

심각한 오류 응답 코드

요청에 심각한 오류가 발생할 경우 반환되는 상태 코드 및 관련 오류 메시지는 심각한 오류를 참조하세요.

New Stuff!